Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
Lucene::Cache Class Referenceabstract

Internal cache. More...

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::Cache:

## Public Member Functions

| Cache (FieldCachePtr wrapper=FieldCachePtr())
virtual | ~Cache ()
virtual String | getClassName ()
boost::shared_ptr< Cache > | shared_from_this ()
virtual void | purge (IndexReaderPtr r)
| Remove this reader from the cache, if present. More...
virtual boost::any | get (IndexReaderPtr reader, EntryPtr key)
virtual void | printNewInsanity (InfoStreamPtr infoStream, boost::any value)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FieldCacheWeakPtr | _wrapper
WeakMapLuceneObjectMapEntryAny | readerCache

## Protected Member Functions

virtual boost::any | createValue (IndexReaderPtr reader, EntryPtr key)=0
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Internal cache.

## Constructor & Destructor Documentation

Lucene::Cache::Cache | ( | FieldCachePtr | wrapper = `FieldCachePtr()`) |  |

virtual Lucene::Cache::~Cache | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::Cache::_getClassName | ( | ) |  |

inline static

virtual boost::any Lucene::Cache::createValue | ( | IndexReaderPtr | reader,
|  | EntryPtr | key
| ) |  |

protected pure virtual

Implemented in Lucene::StringIndexCache, Lucene::StringCache, Lucene::DoubleCache, Lucene::LongCache, Lucene::IntCache, and Lucene::ByteCache.

virtual boost::any Lucene::Cache::get | ( | IndexReaderPtr | reader,
|  | EntryPtr | key
| ) |  |

virtual

virtual String Lucene::Cache::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::StringIndexCache, Lucene::StringCache, Lucene::DoubleCache, Lucene::LongCache, Lucene::IntCache, and Lucene::ByteCache.

virtual void Lucene::Cache::printNewInsanity | ( | InfoStreamPtr | infoStream,
|  | boost::any | value
| ) |  |

virtual

virtual void Lucene::Cache::purge | ( | IndexReaderPtr | r) |  |

virtual

Remove this reader from the cache, if present.

boost::shared_ptr< Cache > Lucene::Cache::shared_from_this | ( | ) |  |

inline

## Field Documentation

FieldCacheWeakPtr Lucene::Cache::_wrapper

WeakMapLuceneObjectMapEntryAny Lucene::Cache::readerCache

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net